#!/bin/bash

GENCONF=/etc/dahdi/genconf_parameters
MODULES=/etc/dahdi/modules
SERVICE=/etc/init.d/dahdi
PATCH="patch -b"

if [ ! -f $SERVICE ]; then
	echo "DAHDI service not found (DAHDI package not installed ?). Installing."
	make -C ../../../dahdi-linux-complete/tools/ install-config
fi

echo "## Patching $MODULES ##"

[ ! -f $MODULES ] && echo -n > $MODULES
sed -i '/quasar/ s/^#//' $MODULES 2>/dev/null
sed -i '/dahdi_tdmox/ s/^#//' $MODULES 2>/dev/null
grep -q '^quasar' $MODULES || echo 'quasar' >>$MODULES
grep -q '^dahdi_tdmox' $MODULES || echo 'dahdi_tdmox' >>$MODULES

echo "## Patching $GENCONF ##"
[ ! -f $GENCONF ] && echo -n > $GENCONF
sed -i '/fx[os]_default_start/ s/^#//' $GENCONF 2>/dev/null
grep -q '^fxs_default_start' $GENCONF || echo 'fxs_default_start ls' >>$GENCONF
grep -q '^fxo_default_start' $GENCONF || echo 'fxo_default_start ls' >>$GENCONF

echo "## Patching dahdi service ##"
$PATCH -p1 -d / < init.d-dahdi.patch
